OpenTTD Source: NetworkContentConnecter Class Reference

OpenTTD Source 13.1

Public Member Functions
NetworkContentConnecter Class Reference

Connect to the content server. More...

Inheritance diagram for NetworkContentConnecter:

## Public Member Functions
| NetworkContentConnecter (const std::string &connection_string)
| Initiate the connecting. More...
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded. More...

## Additional Inherited Members
Private Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16 default_port, NetworkAddress bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address. More...
void | Kill ()
| Kill this connecter. More...
Static Private Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Connect to the content server.

Definition at line 764 of file network_content.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkContentConnecter()

NetworkContentConnecter::NetworkContentConnecter | ( | const std::string & | connection_string | ) |
| inline

Initiate the connecting.

Parameters

  address | The address of the server.

Definition at line 770 of file network_content.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkContentConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 778 of file network_content.cpp.

References _network_content_client, ClientNetworkContentSocketHandler::isConnecting, ClientNetworkContentSocketHandler::lastActivity, ClientNetworkContentSocketHandler::OnConnect(), NetworkSocketHandler::Reopen(), and NetworkTCPSocketHandler::sock.

The documentation for this class was generated from the following file:

- src/network/network_content.cpp